package com.itbaizhan;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

public class GetBaseInfoServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req,resp);
    }

    @Override
    protected void doPost(HttpServletRequest req,
                          HttpServletResponse resp) throws ServletException, IOException {

        ServletContext servletContext = this.getServletContext();

        String serverInfo = servletContext.getServerInfo();
        int majorVersion = servletContext.getMajorVersion();
        int minorVersion = servletContext.getMinorVersion();

        resp.setContentType("text/plain;charset=utf-8");
        String value1=(String) servletContext.getAttribute("keya");
        String value2=(String) servletContext.getAttribute("keyb");
        PrintWriter pw=resp.getWriter();
        pw.println(value1);
        pw.println(value2);


        pw.println("容器基本信息："+serverInfo);
        pw.println("版本号："+majorVersion+"."+minorVersion);
        pw.flush();
        pw.close();


    }
}
