package com.itbaizhan;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

public class GetRequestInfoServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String requestURL=req.getRequestURL().toString();
        String requestURI=req.getRequestURI();
        String clientAddr=req.getRemoteAddr();
        String serverAddr=req.getLocalAddr();
        int port=req.getLocalPort();

        PrintWriter pw= resp.getWriter();
        pw.println("URL:"+requestURL);
        pw.println("URI:"+requestURI);
        pw.println("ClientAddr"+clientAddr);
        pw.println("ServerAddr"+serverAddr);
        pw.println("Port"+port);

        pw.flush();
        pw.close();

    }
}
